# IShTextureMapBucketCache Struct Reference

Inheritance diagram for IShTextureMapBucketCache:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | CalcCommonPixelBucketInSize (uint32 width, uint32 height, AlternativeTextureAvailableProc proc, I3DShInstance *relevantInstance, IShTextureMapHardwareResult *hardwareResultHandler)=0
virtual void MCCOMAPI | GetResult (IShTextureMapResultCache **result) const =0
virtual boolean MCCOMAPI | FlipAlongAxis (int16 axisNum) const =0
virtual TMCColorRGB MCCOMAPI | GetTextureMultiplyColor () const =0
virtual void MCCOMAPI | SetTextureMultiplyColor (TMCColorRGB color)=0
virtual real MCCOMAPI | GetBumpAmplitude () const =0
virtual void MCCOMAPI | SetBumpAmplitude (real newValue)=0
virtual int32 MCCOMAPI | GetNormalMapMode (boolean &flipX, boolean &flipY, boolean &flipZ, boolean &swapYZ) const =0
virtual void MCCOMAPI | SetNormalMapMode (int32 mode, boolean flipX, boolean flipY, boolean flipZ, boolean swapYZ)=0
virtual IMCUnknown *MCCOMAPI | GetUniqueCommonTexturePtr () const =0

## Member Function Documentation

virtual void MCCOMAPI IShTextureMapBucketCache::CalcCommonPixelBucketInSize | ( | uint32 | width,
|  | uint32 | height,
|  | AlternativeTextureAvailableProc | proc,
|  | I3DShInstance * | relevantInstance,
|  | IShTextureMapHardwareResult * | hardwareResultHandler |
| ) |  |  | `[pure virtual]`

Get the common pixel bucket in the specified size. This pixel bucket ignores the specific mapping.

Parameters:

  `[in]` | proc | procedure to update the scene one the bucket has been calculated

virtual boolean MCCOMAPI IShTextureMapBucketCache::FlipAlongAxis | ( | int16 | axisNum | ) | const`[pure virtual]`

Should the texture be flipped along the specified axis

Parameters:

  `[in]` | axisNum | the queried axis

virtual real MCCOMAPI IShTextureMapBucketCache::GetBumpAmplitude | ( |  | ) | const`[pure virtual]`

virtual int32 MCCOMAPI IShTextureMapBucketCache::GetNormalMapMode | ( | boolean & | flipX,
|  | boolean & | flipY,
|  | boolean & | flipZ,
|  | boolean & | swapYZ |
| ) |  |  | const`[pure virtual]`

virtual void MCCOMAPI IShTextureMapBucketCache::GetResult | ( | IShTextureMapResultCache ** | result | ) | const`[pure virtual]`

Get result object common to all textures using the same texture map This pixel bucket ignores the specific mapping.

virtual TMCColorRGB MCCOMAPI IShTextureMapBucketCache::GetTextureMultiplyColor | ( |  | ) | const`[pure virtual]`

virtual IMCUnknown* MCCOMAPI IShTextureMapBucketCache::GetUniqueCommonTexturePtr | ( |  | ) | const`[pure virtual]`

virtual void MCCOMAPI IShTextureMapBucketCache::SetBumpAmplitude | ( | real | newValue | ) | `[pure virtual]`

virtual void MCCOMAPI IShTextureMapBucketCache::SetNormalMapMode | ( | int32 | mode,
|  | boolean | flipX,
|  | boolean | flipY,
|  | boolean | flipZ,
|  | boolean | swapYZ |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IShTextureMapBucketCache::SetTextureMultiplyColor | ( | TMCColorRGB | color | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShTextureMap.h